## golang-github-alecthomas-chroma 0.7.1

=== Makefile ===
.PHONY: chromad upload all

all: README.md tokentype_string.go

README.md: lexers/*/*.go
	./table.py

tokentype_string.go: types.go
	go generate

chromad:
	(cd ./cmd/chromad && go get github.com/GeertJohan/go.rice/rice@master && go install github.com/GeertJohan/go.rice/rice)
	rm -f chromad
	(export CGOENABLED=0 GOOS=linux ; cd ./cmd/chromad && go build -o ../../chromad .)
	rice append -i ./cmd/chromad --exec=./chromad

upload: chromad
	scp chromad root@swapoff.org: && \
		ssh root@swapoff.org 'install -m755 ./chromad /srv/http/swapoff.org/bin && service chromad restart'

## golang-github-alecthomas-chroma 0.1.1+git20171116.9c81d25

=== debian/changelog ===
golang-github-alecthomas-chroma (0.1.1+git20171116.9c81d25-2) unstable; urgency=medium

  * Do not build parallel to try to fix FTBFS on architectures using gccgo.
    (Closes: #882450)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 23 Nov 2017 13:47:54 +0100

golang-github-alecthomas-chroma (0.1.1+git20171116.9c81d25-1) unstable; urgency=medium

  * Initial release (Closes: #879749)

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 21 Nov 2017 13:33:22 +0100

=== debian/control ===
Source: golang-github-alecthomas-chroma
Section: devel
Priority: optional
Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Build-Depends: debhelper (>= 10),
               dh-golang,
               golang-any,
               golang-github-alecthomas-assert-dev,
               golang-github-danwakefield-fnmatch-dev,
               golang-github-dlclark-regexp2-dev,
               golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
               pandoc
Standards-Version: 4.1.1
Homepage: https://github.com/alecthomas/chroma
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-alecthomas-chroma.git
Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-alecthomas-chroma.git
XS-Go-Import-Path: github.com/alecthomas/chroma
Testsuite: autopkgtest-pkg-go

Package: chroma
Architecture: any
Built-Using: ${misc:Built-Using}
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: general purpose syntax highlighter in pure Go
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.

Package: golang-github-alecthomas-chroma-dev
Architecture: all
Depends: golang-github-alecthomas-assert-dev,
         golang-github-danwakefield-fnmatch-dev,
         golang-github-dlclark-regexp2-dev,
         golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: general purpose syntax highlighter in pure Go -- sources
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.
 .
 This package contains Chroma's source code and helper libraries.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --buildsystem=golang --with=golang

# Generate manpage
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang -O--no-parallel
	pandoc -s -t man debian/chroma.1.md -o debian/chroma.1

## golang-github-alecthomas-chroma 0.2.0

=== debian/changelog ===
golang-github-alecthomas-chroma (0.2.0-1) unstable; urgency=medium

  * New upstream version 0.2.0
  * Enable parallel building again, it's not causing the FTBFS on gccgo
    architectures.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Mon, 27 Nov 2017 23:05:31 +0100

## golang-github-alecthomas-chroma 0.2.1

=== debian/changelog ===
golang-github-alecthomas-chroma (0.2.1-1) unstable; urgency=medium

  * New upstream version 0.2.1
  * debian/rules: Install lexers/testdata (new in 0.2.1)
  * Bump Standards-Versions from 4.1.1 to 4.1.3 (no change)

 -- Anthony Fok <foka@debian.org>  Sat, 03 Feb 2018 22:44:55 -0700

=== debian/control ===
--- 
+++ 
@@ -12,7 +12,7 @@
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.1.1
+Standards-Version: 4.1.3
 Homepage: https://github.com/alecthomas/chroma
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-alecthomas-chroma.git
 Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-alecthomas-chroma.git

## golang-github-alecthomas-chroma 0.3.0

=== debian/changelog ===
golang-github-alecthomas-chroma (0.3.0-1) unstable; urgency=medium

  * New upstream version 0.3.0
  * Use debhelper (>= 11)

 -- Anthony Fok <foka@debian.org>  Thu, 01 Mar 2018 22:43:01 -0700

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
                dh-golang,
                golang-any,
                golang-github-alecthomas-assert-dev,

## golang-github-alecthomas-chroma 0.4.0%2Bgit20180402.51d250f

=== debian/changelog ===
golang-github-alecthomas-chroma (0.4.0+git20180402.51d250f-1) unstable; urgency=medium

  [ Alexandre Viau ]
  * Point Vcs-* urls to salsa.debian.org.

  [ Anthony Fok ]
  * New upstream version 0.4.0+git20180402.51d250f

 -- Anthony Fok <foka@debian.org>  Mon, 02 Apr 2018 22:42:04 -0600

golang-github-alecthomas-chroma (0.4.0-1) unstable; urgency=medium

  * New upstream version 0.4.0
  * Refresh patch
  * Update d/copyright

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 22 Mar 2018 21:46:00 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
                golang-github-alecthomas-assert-dev,
@@ -14,8 +14,8 @@
                pandoc
 Standards-Version: 4.1.3
 Homepage: https://github.com/alecthomas/chroma
-Vcs-Browser: https://anonscm.debian.org/cgit/pkg-go/packages/golang-github-alecthomas-chroma.git
-Vcs-Git: https://anonscm.debian.org/git/pkg-go/packages/golang-github-alecthomas-chroma.git
+Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
+Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 XS-Go-Import-Path: github.com/alecthomas/chroma
 Testsuite: autopkgtest-pkg-go

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := lexers/testdata

%:
	dh $@ --buildsystem=golang --with=golang

# Generate manpage
override_dh_auto_build:
	dh_auto_build -O--buildsystem=golang
	pandoc -s -t man debian/chroma.1.md -o debian/chroma.1

## golang-github-alecthomas-chroma 0.4.0+git20180402.51d250f

=== debian/watch ===
version=3
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/chroma-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/alecthomas/chroma/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-alecthomas-chroma 0.4.0+git20180612.d7b2ed2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.4.0+git20180612.d7b2ed2-1) unstable; urgency=medium

  * New upstream version 0.4.0+git20180612.d7b2ed2
  * Apply "cme fix dpkg" fixes to debian/control,
    bumping Standards-Version to 4.1.4 (no change)

 -- Anthony Fok <foka@debian.org>  Tue, 12 Jun 2018 07:11:09 -0600

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: golang-github-alecthomas-chroma
-Section: devel
-Priority: optional
 Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
+Section: devel
+Testsuite: autopkgtest-pkg-go
+Priority: optional
 Build-Depends: debhelper (>= 11~),
                dh-golang,
                golang-any,
@@ -12,17 +13,17 @@
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.1.3
-Homepage: https://github.com/alecthomas/chroma
+Standards-Version: 4.1.4
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
+Homepage: https://github.com/alecthomas/chroma
 XS-Go-Import-Path: github.com/alecthomas/chroma
-Testsuite: autopkgtest-pkg-go
 
 Package: chroma
 Architecture: any
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: general purpose syntax highlighter in pure Go
  Chroma takes source code and other structured text and converts it into
  syntax highlighted HTML, ANSI-coloured text, etc.

## golang-github-alecthomas-chroma 0.4.0+git20180731.3fb10fb

=== debian/changelog ===
golang-github-alecthomas-chroma (0.4.0+git20180731.3fb10fb-1) unstable; urgency=medium

  * New upstream version 0.4.0+git20180731.3fb10fb
  * Bump Standards-Version to 4.1.5 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 01 Aug 2018 07:24:15 -0600

## golang-github-alecthomas-chroma 0.5.0

=== debian/changelog ===
golang-github-alecthomas-chroma (0.5.0-1) unstable; urgency=medium

  * New upstream version 0.5.0

 -- Dr. Tobias Quathamer <toddy@debian.org>  Thu, 16 Aug 2018 11:19:34 +0200

=== debian/control ===
--- 
+++ 
@@ -13,7 +13,7 @@
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.1.4
+Standards-Version: 4.1.5
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma

## golang-github-alecthomas-chroma 0.6.0

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.0-1) unstable; urgency=medium

  [ Anthony Fok ]
  * Bump Standards-Version to 4.2.0 (no change)

  [ Dr. Tobias Quathamer ]
  * New upstream version 0.6.0
    - Refresh patch
  * Update team name and address
  * Update to Standards-Version 4.2.1

 -- Dr. Tobias Quathamer <toddy@debian.org>  Tue, 18 Dec 2018 13:10:58 +0100

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: golang-github-alecthomas-chroma
-Maintainer: Debian Go Packaging Team <pkg-go-maintainers@lists.alioth.debian.org>
+Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Section: devel
@@ -13,7 +13,7 @@
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.1.5
+Standards-Version: 4.2.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma

## golang-github-alecthomas-chroma 0.6.2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.2-1) unstable; urgency=medium

  * New upstream version 0.6.2
  * Add dependency on golang-github-alecthomas-kong-dev
  * Refresh 0001-Remove-MS-Windows-specific-code.patch
  * Remove unnecessary Files-Excluded line in debian/copyright
  * Bump Standards-Version to 4.3.0 (no change)

 -- Anthony Fok <foka@debian.org>  Fri, 01 Feb 2019 11:06:45 -0700

## golang-github-alecthomas-chroma 0.6.3

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.3-1) unstable; urgency=medium

  * New upstream version 0.6.3
  * Refresh 0001-Remove-MS-Windows-specific-code.patch

 -- Anthony Fok <foka@debian.org>  Sun, 14 Apr 2019 05:07:42 -0600

## golang-github-alecthomas-chroma 0.6.3+really0.6.2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.3+really0.6.2-1) unstable; urgency=medium

  * Revert all changes between 0.6.3-1 and 0.6.2-1.
    See https://bugs.debian.org/928227 for a rationale.

 -- Dr. Tobias Quathamer <toddy@debian.org>  Sat, 01 Jun 2019 22:27:18 +0200

=== debian/control ===
--- 
+++ 
@@ -9,11 +9,12 @@
                dh-golang,
                golang-any,
                golang-github-alecthomas-assert-dev,
+               golang-github-alecthomas-kong-dev,
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.2.1
+Standards-Version: 4.3.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma
@@ -34,6 +35,7 @@
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
 Depends: golang-github-alecthomas-assert-dev,
+         golang-github-alecthomas-kong-dev,
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev,
          golang-gopkg-alecthomas-kingpin.v3-unstable-dev,

## golang-github-alecthomas-chroma 0.6.3+really0.6.3

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.3+really0.6.3-1) unstable; urgency=medium

  * Revert to upstream version 0.6.3 now that Debian 10 "buster" is released.
    See https://bugs.debian.org/928227 for a rationale.
  * Bump Standards-Version to 4.4.0 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 10 Jul 2019 15:16:03 -0600

## golang-github-alecthomas-chroma 0.6.4

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.4-2) unstable; urgency=medium

  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 12)"
  * Remove DH_GOLANG_INSTALL_EXTRA from debian/rules as testdata/
    content is automatically installed by dh-golang (>= 1.31~)

 -- Anthony Fok <foka@debian.org>  Sun, 11 Aug 2019 04:06:14 -0600

golang-github-alecthomas-chroma (0.6.4-1) unstable; urgency=medium

  * New upstream version 0.6.4

 -- Anthony Fok <foka@debian.org>  Sat, 27 Jul 2019 02:22:03 -0600

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper (>= 11~),
-               dh-golang,
+Build-Depends: debhelper-compat (= 12),
+               dh-golang (>= 1.31~),
                golang-any,
                golang-github-alecthomas-assert-dev,
                golang-github-alecthomas-kong-dev,
@@ -14,7 +14,7 @@
                golang-github-dlclark-regexp2-dev,
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.3.0
+Standards-Version: 4.4.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,4 @@
 #!/usr/bin/make -f
-
-export DH_GOLANG_INSTALL_EXTRA := lexers/testdata
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-alecthomas-chroma 0.6.8

=== debian/changelog ===
golang-github-alecthomas-chroma (0.6.8-1) unstable; urgency=medium

  * New upstream version 0.6.8
  * Bump Standards-Version to 4.4.1 (no change)
  * Add "Rules-Requires-Root: no" to debian/control
  * debian/control: Add new dependencies according to go.mod
  * debian/gbp.conf: Set debian-branch to debian/sid for DEP-14 conformance
  * debian/rules: Set DH_GOLANG_EXCLUDES to cmd/chromad 
    while we wait for its new dependencies to enter Debian

 -- Anthony Fok <foka@debian.org>  Tue, 03 Dec 2019 08:28:22 -0700

=== debian/control ===
--- 
+++ 
@@ -9,15 +9,17 @@
                dh-golang (>= 1.31~),
                golang-any,
                golang-github-alecthomas-assert-dev,
-               golang-github-alecthomas-kong-dev,
+               golang-github-alecthomas-kong-dev (>= 0.2.1~),
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev,
+               golang-github-stretchr-testify-dev (>= 1.3.0~),
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.4.0
+Standards-Version: 4.4.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma
+Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/alecthomas/chroma
 
 Package: chroma
@@ -35,9 +37,10 @@
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
 Depends: golang-github-alecthomas-assert-dev,
-         golang-github-alecthomas-kong-dev,
+         golang-github-alecthomas-kong-dev (>= 0.2.1~),
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev,
+         golang-github-stretchr-testify-dev (>= 1.3.0~),
          golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
          ${misc:Depends},
          ${shlibs:Depends}

=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+export DH_GOLANG_EXCLUDES := cmd/chromad
 
 %:
 	dh $@ --buildsystem=golang --with=golang

## golang-github-alecthomas-chroma 0.7.0

=== debian/changelog ===
golang-github-alecthomas-chroma (0.7.0-1) unstable; urgency=medium

  * New upstream version 0.7.0
  * debian/watch: Update filenamemangle to match source package name
  * Bump Standards-Version to 4.5.0 (no change)

 -- Anthony Fok <foka@debian.org>  Sat, 15 Feb 2020 17:29:35 -0700

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                golang-github-stretchr-testify-dev (>= 1.3.0~),
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                pandoc
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma

## golang-github-alecthomas-chroma 0.7.1

=== debian/changelog ===
golang-github-alecthomas-chroma (0.7.1-1) unstable; urgency=medium

  * New upstream version 0.7.1
  * debian/control, debian/rules: Build cmd/chromad too
  * Use golang-rice to append resources to chromad
  * Remove 0001-Remove-MS-Windows-specific-code.patch
    as golang-github-mattn-go-colorable-dev now exists in Debian

 -- Anthony Fok <foka@debian.org>  Mon, 17 Feb 2020 05:36:14 -0700

=== debian/control ===
--- 
+++ 
@@ -10,10 +10,17 @@
                golang-any,
                golang-github-alecthomas-assert-dev,
                golang-github-alecthomas-kong-dev (>= 0.2.1~),
+               golang-github-alecthomas-kong-hcl-dev (>= 0.2.0~),
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev,
-               golang-github-stretchr-testify-dev (>= 1.3.0~),
+               golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009~),
+               golang-github-gorilla-csrf-dev (>= 1.6.2~),
+               golang-github-gorilla-handlers-dev (>= 1.4.2~),
+               golang-github-gorilla-mux-dev (>= 1.7.3~),
+               golang-github-mattn-go-colorable-dev (>= 0.0.9~),
+               golang-github-mattn-go-isatty-dev (>= 0.0.4~),
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
+               golang-rice,
                pandoc
 Standards-Version: 4.5.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
@@ -27,24 +34,32 @@
 Depends: ${misc:Depends},
          ${shlibs:Depends}
 Built-Using: ${misc:Built-Using}
-Description: general purpose syntax highlighter in pure Go
+Description: general purpose syntax highlighter in pure Go (binaries)
  Chroma takes source code and other structured text and converts it into
  syntax highlighted HTML, ANSI-coloured text, etc.
  .
  Chroma is based heavily on Pygments (http://pygments.org/), and includes
  translators for Pygments lexers and styles.
+ .
+ This package contains the compiled chroma and chromad binaries.
 
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
 Depends: golang-github-alecthomas-assert-dev,
          golang-github-alecthomas-kong-dev (>= 0.2.1~),
+         golang-github-alecthomas-kong-hcl-dev (>= 0.2.0~),
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev,
-         golang-github-stretchr-testify-dev (>= 1.3.0~),
+         golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009~),
+         golang-github-gorilla-csrf-dev (>= 1.6.2~),
+         golang-github-gorilla-handlers-dev (>= 1.4.2~),
+         golang-github-gorilla-mux-dev (>= 1.7.3~),
+         golang-github-mattn-go-colorable-dev (>= 0.0.9~),
+         golang-github-mattn-go-isatty-dev (>= 0.0.4~),
          golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
          ${misc:Depends},
          ${shlibs:Depends}
-Description: general purpose syntax highlighter in pure Go -- sources
+Description: general purpose syntax highlighter in pure Go (libraries)
  Chroma takes source code and other structured text and converts it into
  syntax highlighted HTML, ANSI-coloured text, etc.
  .

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --builddirectory=_build --buildsystem=golang --with=golang

execute_after_dh_auto_build:
	pandoc -s -t man debian/chroma.1.md -o debian/chroma.1

execute_after_dh_strip:
	rice -v -i ./cmd/chromad append --exec debian/chroma/usr/bin/chromad

## golang-github-alecthomas-chroma 0.7.2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.7.2-1) unstable; urgency=medium

  * New upstream version 0.7.2

 -- Anthony Fok <foka@debian.org>  Sat, 25 Apr 2020 20:20:46 -0600

## golang-github-alecthomas-chroma 0.7.3

=== debian/changelog ===
golang-github-alecthomas-chroma (0.7.3-1) unstable; urgency=medium

  * New upstream version 0.7.3
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Mon, 25 May 2020 20:22:37 -0600

=== debian/control ===
--- 
+++ 
@@ -9,16 +9,16 @@
                dh-golang (>= 1.31~),
                golang-any,
                golang-github-alecthomas-assert-dev,
-               golang-github-alecthomas-kong-dev (>= 0.2.1~),
-               golang-github-alecthomas-kong-hcl-dev (>= 0.2.0~),
+               golang-github-alecthomas-kong-dev (>= 0.2.4),
+               golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-dlclark-regexp2-dev,
-               golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009~),
-               golang-github-gorilla-csrf-dev (>= 1.6.2~),
-               golang-github-gorilla-handlers-dev (>= 1.4.2~),
-               golang-github-gorilla-mux-dev (>= 1.7.3~),
-               golang-github-mattn-go-colorable-dev (>= 0.0.9~),
-               golang-github-mattn-go-isatty-dev (>= 0.0.4~),
+               golang-github-dlclark-regexp2-dev (>= 1.2.0),
+               golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009),
+               golang-github-gorilla-csrf-dev (>= 1.6.2),
+               golang-github-gorilla-handlers-dev (>= 1.4.2),
+               golang-github-gorilla-mux-dev (>= 1.7.3),
+               golang-github-mattn-go-colorable-dev (>= 0.0.16),
+               golang-github-mattn-go-isatty-dev (>= 0.0.12),
                golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                golang-rice,
                pandoc
@@ -46,16 +46,16 @@
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
 Depends: golang-github-alecthomas-assert-dev,
-         golang-github-alecthomas-kong-dev (>= 0.2.1~),
-         golang-github-alecthomas-kong-hcl-dev (>= 0.2.0~),
+         golang-github-alecthomas-kong-dev (>= 0.2.4),
+         golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
          golang-github-danwakefield-fnmatch-dev,
-         golang-github-dlclark-regexp2-dev,
-         golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009~),
-         golang-github-gorilla-csrf-dev (>= 1.6.2~),
-         golang-github-gorilla-handlers-dev (>= 1.4.2~),
-         golang-github-gorilla-mux-dev (>= 1.7.3~),
-         golang-github-mattn-go-colorable-dev (>= 0.0.9~),
-         golang-github-mattn-go-isatty-dev (>= 0.0.4~),
+         golang-github-dlclark-regexp2-dev (>= 1.2.0),
+         golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009),
+         golang-github-gorilla-csrf-dev (>= 1.6.2),
+         golang-github-gorilla-handlers-dev (>= 1.4.2),
+         golang-github-gorilla-mux-dev (>= 1.7.3),
+         golang-github-mattn-go-colorable-dev (>= 0.0.16),
+         golang-github-mattn-go-isatty-dev (>= 0.0.12),
          golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
          ${misc:Depends},
          ${shlibs:Depends}

## golang-github-alecthomas-chroma 0.8.1

=== debian/changelog ===
golang-github-alecthomas-chroma (0.8.1-2) unstable; urgency=medium

  * Remove dependency on golang-gopkg-alecthomas-kingpin.v3-unstable-dev
    as Go ignores underscore-prefixed directories like _tools/
    which is the only place where the unreleased kingpin.v3 is imported.

 -- Anthony Fok <foka@debian.org>  Fri, 23 Oct 2020 04:00:25 -0600

golang-github-alecthomas-chroma (0.8.1-1) unstable; urgency=medium

  * New upstream version 0.8.1

 -- Anthony Fok <foka@debian.org>  Mon, 19 Oct 2020 19:24:19 -0600

golang-github-alecthomas-chroma (0.8.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Anthony Fok ]
  * New upstream version 0.8.0
  * Bump debhelper dependency to "Build-Depends: debhelper-compat (= 13)"

 -- Anthony Fok <foka@debian.org>  Fri, 18 Sep 2020 13:14:13 -0600

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,7 @@
 Section: devel
 Testsuite: autopkgtest-pkg-go
 Priority: optional
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any,
                golang-github-alecthomas-assert-dev,
@@ -19,7 +19,6 @@
                golang-github-gorilla-mux-dev (>= 1.7.3),
                golang-github-mattn-go-colorable-dev (>= 0.0.16),
                golang-github-mattn-go-isatty-dev (>= 0.0.12),
-               golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
                golang-rice,
                pandoc
 Standards-Version: 4.5.0
@@ -56,7 +55,6 @@
          golang-github-gorilla-mux-dev (>= 1.7.3),
          golang-github-mattn-go-colorable-dev (>= 0.0.16),
          golang-github-mattn-go-isatty-dev (>= 0.0.12),
-         golang-gopkg-alecthomas-kingpin.v3-unstable-dev,
          ${misc:Depends},
          ${shlibs:Depends}
 Description: general purpose syntax highlighter in pure Go (libraries)

## golang-github-alecthomas-chroma 0.8.2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.8.2-3+deb11u1) bullseye-security; urgency=medium

  * Non-maintainer upload by the LTS Team.
  * Rebuild with golang-github-gorilla-csrf 1.6.2-2+deb11u1:
    - SECURITY UPDATE:
      + CVE-2025-24358 / GHSA-rq77-p4h8-4crw:
        Fix CSRF via form submission from origins that share a top level
        domain with the target origin.

 -- Andrej Shadura <andrewsh@debian.org>  Wed, 30 Apr 2025 15:38:46 +0200

golang-github-alecthomas-chroma (0.8.2-3) unstable; urgency=high

  * Source-only upload for migration to testing,
    with urgency set to high hoping it would make it into bullseye.  ;-)

 -- Anthony Fok <foka@debian.org>  Wed, 10 Feb 2021 22:43:36 -0700

golang-github-alecthomas-chroma (0.8.2-2) unstable; urgency=medium

  * Rename binary package "chroma" to "golang-chroma"
    to make way for the newly packaged "chroma" game which will likely be
    a lot more popular than this tool.

 -- Anthony Fok <foka@debian.org>  Mon, 08 Feb 2021 20:34:23 -0700

golang-github-alecthomas-chroma (0.8.2-1) unstable; urgency=medium

  * New upstream version 0.8.2
  * debian/control: Change Section from devel to golang
  * Bump Standards-Version to 4.5.1 (no change)

 -- Anthony Fok <foka@debian.org>  Wed, 02 Dec 2020 00:08:43 -0700

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
-Section: devel
+Section: golang
 Testsuite: autopkgtest-pkg-go
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
@@ -14,24 +14,26 @@
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev (>= 1.2.0),
                golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009),
-               golang-github-gorilla-csrf-dev (>= 1.6.2),
+               golang-github-gorilla-csrf-dev (>= 1.6.2-2+deb11u1~),
                golang-github-gorilla-handlers-dev (>= 1.4.2),
                golang-github-gorilla-mux-dev (>= 1.7.3),
                golang-github-mattn-go-colorable-dev (>= 0.0.16),
                golang-github-mattn-go-isatty-dev (>= 0.0.12),
                golang-rice,
                pandoc
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma
 Rules-Requires-Root: no
 XS-Go-Import-Path: github.com/alecthomas/chroma
 
-Package: chroma
+Package: golang-chroma
 Architecture: any
 Depends: ${misc:Depends},
          ${shlibs:Depends}
+Conflicts: chroma (<< 0.8.2-2~)
+Replaces: chroma (<< 0.8.2-2~)
 Built-Using: ${misc:Built-Using}
 Description: general purpose syntax highlighter in pure Go (binaries)
  Chroma takes source code and other structured text and converts it into

=== debian/rules ===
--- 
+++ 
@@ -7,4 +7,4 @@
 	pandoc -s -t man debian/chroma.1.md -o debian/chroma.1
 
 execute_after_dh_strip:
-	rice -v -i ./cmd/chromad append --exec debian/chroma/usr/bin/chromad
+	rice -v -i ./cmd/chromad append --exec debian/golang-chroma/usr/bin/chromad

## golang-github-alecthomas-chroma 0.9.1

=== debian/changelog ===
golang-github-alecthomas-chroma (0.9.1-1) unstable; urgency=medium

  * New upstream version 0.9.1
  * Bump Standards-Version to 4.6.0 (no change)
  * Mark library package with "Multi-Arch: foreign"
  * Update dependencies as per go.mod and bump golang-any dependency
    to 2:1.16~ due to upstream's use of //go:embed
  * debian/rules: Install cmd/chromad/static and cmd/chromad/templates
    as they are needed by //go:embed

 -- Anthony Fok <foka@debian.org>  Sun, 19 Sep 2021 03:01:40 -0600

=== debian/control ===
--- 
+++ 
@@ -7,21 +7,21 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
-               golang-any,
+               golang-any (>= 2:1.16~),
                golang-github-alecthomas-assert-dev,
                golang-github-alecthomas-kong-dev (>= 0.2.4),
                golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
                golang-github-danwakefield-fnmatch-dev,
-               golang-github-dlclark-regexp2-dev (>= 1.2.0),
-               golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009),
-               golang-github-gorilla-csrf-dev (>= 1.6.2-2+deb11u1~),
+               golang-github-dlclark-regexp2-dev (>= 1.4.0),
+               golang-github-geertjohan-go.rice-dev (>= 1.0.2),
+               golang-github-gorilla-csrf-dev (>= 1.6.2),
                golang-github-gorilla-handlers-dev (>= 1.4.2),
                golang-github-gorilla-mux-dev (>= 1.7.3),
                golang-github-mattn-go-colorable-dev (>= 0.0.16),
                golang-github-mattn-go-isatty-dev (>= 0.0.12),
                golang-rice,
                pandoc
-Standards-Version: 4.5.1
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
 Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
 Homepage: https://github.com/alecthomas/chroma
@@ -46,12 +46,13 @@
 
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
+Multi-Arch: foreign
 Depends: golang-github-alecthomas-assert-dev,
          golang-github-alecthomas-kong-dev (>= 0.2.4),
          golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
          golang-github-danwakefield-fnmatch-dev,
-         golang-github-dlclark-regexp2-dev (>= 1.2.0),
-         golang-github-geertjohan-go.rice-dev (>= 1.0.0+git20191102.d954009),
+         golang-github-dlclark-regexp2-dev (>= 1.4.0),
+         golang-github-geertjohan-go.rice-dev (>= 1.0.2),
          golang-github-gorilla-csrf-dev (>= 1.6.2),
          golang-github-gorilla-handlers-dev (>= 1.4.2),
          golang-github-gorilla-mux-dev (>= 1.7.3),

## golang-github-alecthomas-chroma 0.9.2

=== debian/changelog ===
golang-github-alecthomas-chroma (0.9.2-1) unstable; urgency=medium

  * New upstream version 0.9.2

 -- Anthony Fok <foka@debian.org>  Tue, 19 Oct 2021 10:15:03 -0600

## golang-github-alecthomas-chroma 0.9.4

=== debian/changelog ===
golang-github-alecthomas-chroma (0.9.4-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Mon, 18 Nov 2024 15:57:10 +0000

golang-github-alecthomas-chroma (0.9.4-1) unstable; urgency=medium

  * New upstream version 0.9.4
  * Update versioned dependencies as per go.mod

 -- Anthony Fok <foka@debian.org>  Tue, 02 Nov 2021 11:33:13 -0600

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,6 @@
 Source: golang-github-alecthomas-chroma
-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
 Uploaders: Anthony Fok <foka@debian.org>,
            Dr. Tobias Quathamer <toddy@debian.org>
 Section: golang
@@ -8,8 +9,7 @@
 Build-Depends: debhelper-compat (= 13),
                dh-golang (>= 1.31~),
                golang-any (>= 2:1.16~),
-               golang-github-alecthomas-assert-dev,
-               golang-github-alecthomas-kong-dev (>= 0.2.4),
+               golang-github-alecthomas-kong-dev (>= 0.2.17),
                golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
                golang-github-danwakefield-fnmatch-dev,
                golang-github-dlclark-regexp2-dev (>= 1.4.0),
@@ -17,9 +17,10 @@
                golang-github-gorilla-csrf-dev (>= 1.6.2),
                golang-github-gorilla-handlers-dev (>= 1.4.2),
                golang-github-gorilla-mux-dev (>= 1.7.3),
-               golang-github-mattn-go-colorable-dev (>= 0.0.16),
-               golang-github-mattn-go-isatty-dev (>= 0.0.12),
-               golang-rice,
+               golang-github-mattn-go-colorable-dev (>= 0.1.10),
+               golang-github-mattn-go-isatty-dev (>= 0.0.14),
+               golang-github-stretchr-testify-dev (>= 1.7.0),
+               golang-rice (>= 1.0.2),
                pandoc
 Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
@@ -47,8 +48,7 @@
 Package: golang-github-alecthomas-chroma-dev
 Architecture: all
 Multi-Arch: foreign
-Depends: golang-github-alecthomas-assert-dev,
-         golang-github-alecthomas-kong-dev (>= 0.2.4),
+Depends: golang-github-alecthomas-kong-dev (>= 0.2.17),
          golang-github-alecthomas-kong-hcl-dev (>= 0.2.0),
          golang-github-danwakefield-fnmatch-dev,
          golang-github-dlclark-regexp2-dev (>= 1.4.0),
@@ -56,8 +56,9 @@
          golang-github-gorilla-csrf-dev (>= 1.6.2),
          golang-github-gorilla-handlers-dev (>= 1.4.2),
          golang-github-gorilla-mux-dev (>= 1.7.3),
-         golang-github-mattn-go-colorable-dev (>= 0.0.16),
-         golang-github-mattn-go-isatty-dev (>= 0.0.12),
+         golang-github-mattn-go-colorable-dev (>= 0.1.10),
+         golang-github-mattn-go-isatty-dev (>= 0.0.14),
+         golang-github-stretchr-testify-dev (>= 1.7.0),
          ${misc:Depends},
          ${shlibs:Depends}
 Description: general purpose syntax highlighter in pure Go (libraries)

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/golang-github-alecthomas-chroma-\$1\.tar\.gz/,\
uversionmangle=s/(\d)[_\.\-\+]?(RC|rc|pre|dev|beta|alpha)[.]?(\d*)$/\$1~\$2\$3/ \
  https://github.com/alecthomas/chroma/tags .*/v?(\d\S*)\.tar\.gz

## golang-github-alecthomas-chroma 0.10.0

=== Makefile ===
.PHONY: chromad upload all

VERSION ?= $(shell git describe --tags --dirty  --always)

all: README.md tokentype_string.go

README.md: lexers/*/*.go
	./table.py

tokentype_string.go: types.go
	go generate

chromad:
	rm -f chromad
	(export CGOENABLED=0 GOOS=linux GOARCH=amd64; cd ./cmd/chromad && go build -ldflags="-X 'main.version=$(VERSION)'" -o ../../chromad .)

upload: chromad
	scp chromad root@swapoff.org: && \
		ssh root@swapoff.org 'install -m755 ./chromad /srv/http/swapoff.org/bin && service chromad restart'

=== debian/changelog ===
golang-github-alecthomas-chroma (0.10.0-5) unstable; urgency=medium

  * Fix my brown-paper-bag bug: The vendor directory needs to be copied
    not symlinked

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 02:54:51 -0600

golang-github-alecthomas-chroma (0.10.0-4) unstable; urgency=medium

  * Bump dependency golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2)
    which contains a patch that sidesteps TestHCL/FromResolver test error
    with groups
  * Bundle local vendored copy of github.com/dlclark/regexp2 v1.4.0
    as chroma v0.10.0 TestLexers fail with regexp2 >= v1.5.0
  * Bump Standards-Version to 4.6.2 (no change)

 -- Anthony Fok <foka@debian.org>  Sun, 15 Oct 2023 01:08:43 -0600

golang-github-alecthomas-chroma (0.10.0-3) unstable; urgency=medium

  * Add missing licensing information of recently added files
    - formatters/svg/font_liberation_mono.go (OFL-1.1)
    - lexers/lexer_benchmark_test.go (Apache-2.0)
    - styles/witchhazel.go (Apache-2.0)
    Thanks to Thorsten Alteholz for catching my omissions!

 -- Anthony Fok <foka@debian.org>  Sun, 03 Jul 2022 06:18:42 -0600

golang-github-alecthomas-chroma (0.10.0-2) unstable; urgency=medium

  * Bump Standards-Version to 4.6.1 (no change)
  * Replace Built-Using field with Static-Built-Using
  * Remove dependency on go.rice which became unneeded since v0.9.1
    when chromad started using go:embed for embedding files
  * Set -ldflags to add version and date to chroma and chromad

 -- Anthony Fok <foka@debian.org>  Fri, 24 Jun 2022 04:26:41 -0600

golang-github-alecthomas-chroma (0.10.0-1) unstable; urgency=medium

  * New upstream version 0.10.0
  * debian/watch: Match only v0 so as not to fetch v2
  * Reorder fields in debian/control and debian/copyright
    as would be generated in the next dh-make-golang release after 0.6.0-1
  * Use dh-sequence-golang instead of dh-golang and --with=golang

 -- Anthony Fok <foka@debian.org>  Wed, 02 Mar 2022 22:33:27 -0700

=== debian/control ===
Source: golang-github-alecthomas-chroma
Section: golang
Priority: optional
Maintainer: Debian Go Packaging Team <team+pkg-go@tracker.debian.org>
Uploaders: Anthony Fok <foka@debian.org>,
           Dr. Tobias Quathamer <toddy@debian.org>
Rules-Requires-Root: no
Build-Depends: debhelper-compat (= 13),
               dh-sequence-golang,
               golang-any (>= 2:1.16~),
               golang-github-alecthomas-kong-dev (>= 0.2.17),
               golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
               golang-github-danwakefield-fnmatch-dev,
#              golang-github-dlclark-regexp2-dev (>= 1.4.0),
               golang-github-gorilla-csrf-dev (>= 1.6.2),
               golang-github-gorilla-handlers-dev (>= 1.4.2),
               golang-github-gorilla-mux-dev (>= 1.7.3),
               golang-github-mattn-go-colorable-dev (>= 0.1.10),
               golang-github-mattn-go-isatty-dev (>= 0.0.14),
               golang-github-stretchr-testify-dev (>= 1.7.0),
               pandoc
Testsuite: autopkgtest-pkg-go
Standards-Version: 4.6.2
Vcs-Browser: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma
Vcs-Git: https://salsa.debian.org/go-team/packages/golang-github-alecthomas-chroma.git
Homepage: https://github.com/alecthomas/chroma
XS-Go-Import-Path: github.com/alecthomas/chroma

Package: golang-chroma
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Conflicts: chroma (<< 0.8.2-2~)
Replaces: chroma (<< 0.8.2-2~)
Static-Built-Using: ${misc:Static-Built-Using}
Description: general purpose syntax highlighter in pure Go (binaries)
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.
 .
 This package contains the compiled chroma and chromad binaries.

Package: golang-github-alecthomas-chroma-dev
Architecture: all
Multi-Arch: foreign
Depends: golang-github-alecthomas-kong-dev (>= 0.2.17),
         golang-github-alecthomas-kong-hcl-dev (>> 0.2.0-2),
         golang-github-danwakefield-fnmatch-dev,
#        golang-github-dlclark-regexp2-dev (>= 1.4.0),
         golang-github-gorilla-csrf-dev (>= 1.6.2),
         golang-github-gorilla-handlers-dev (>= 1.4.2),
         golang-github-gorilla-mux-dev (>= 1.7.3),
         golang-github-mattn-go-colorable-dev (>= 0.1.10),
         golang-github-mattn-go-isatty-dev (>= 0.0.14),
         golang-github-stretchr-testify-dev (>= 1.7.0),
         ${misc:Depends}
Description: general purpose syntax highlighter in pure Go (libraries)
 Chroma takes source code and other structured text and converts it into
 syntax highlighted HTML, ANSI-coloured text, etc.
 .
 Chroma is based heavily on Pygments (http://pygments.org/), and includes
 translators for Pygments lexers and styles.
 .
 This package contains Chroma's source code and helper libraries.

=== debian/rules ===
#!/usr/bin/make -f

export DH_GOLANG_INSTALL_EXTRA := cmd/chromad/static cmd/chromad/templates

DATE_FMT := %Y-%m-%dT%H:%M:%SZ
ifdef SOURCE_DATE_EPOCH
  BUILD_DATE ?= $(shell date -u -d "@$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u -r "$(SOURCE_DATE_EPOCH)" "+$(DATE_FMT)" 2>/dev/null || date -u "+$(DATE_FMT)")
else
  BUILD_DATE ?= $(shell date -u "+$(DATE_FMT)")
endif

VERSION := $(shell dpkg-parsechangelog -S version)
UPSTREAM_VERSION := $(word 1,$(subst -, ,$(VERSION)))
DEBIAN_REVISION := $(word 2,$(subst -, ,$(VERSION)))

LDFLAGS := -ldflags \
        '-X "main.version=$(UPSTREAM_VERSION)" \
         -X "main.commit=$(DEBIAN_REVISION)" \
         -X "main.date=$(BUILD_DATE)"'

%:
	dh $@ --builddirectory=_build --buildsystem=golang

execute_after_dh_auto_configure:
	cp -av $(CURDIR)/debian/go/src _build/src/github.com/alecthomas/chroma/vendor

override_dh_auto_build:
	dh_auto_build -- $(LDFLAGS)
	pandoc -s -t man debian/chroma.1.md -o debian/chroma.1

=== debian/watch ===
# Scan for v0.x.x explicitly to avoid fetching v2 which is incompatible
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)%@PACKAGE@-$1.tar.gz%, \
      pagemangle=s%\"tarball_url\":\s*(\".*?\")%<a href=$1>%g, \
      downloadurlmangle=s%api.github.com/repos/(.+?/.+?)/tarball/(.*/@ANY_VERSION@)$%github.com/$1/archive/$2.tar.gz%" \
    https://api.github.com/repos/alecthomas/chroma/tags?per_page=100 \
    (?:.*?/)?v?(0[\-+\.:\~\da-zA-Z]*)
